Simulate an incoming deposit
curl --request POST \
--url https://api.augustus.com/v1/simulations/deposits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "100.50",
"currency": "USD",
"unstructured_remittance_information": "Invoice INV-2026-0042",
"counterparty_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.augustus.com/v1/simulations/deposits"
payload = {
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "100.50",
"currency": "USD",
"unstructured_remittance_information": "Invoice INV-2026-0042",
"counterparty_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount: '100.50',
currency: 'USD',
unstructured_remittance_information: 'Invoice INV-2026-0042',
counterparty_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.augustus.com/v1/simulations/deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.augustus.com/v1/simulations/deposits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'account_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'amount' => '100.50',
'currency' => 'USD',
'unstructured_remittance_information' => 'Invoice INV-2026-0042',
'counterparty_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.augustus.com/v1/simulations/deposits"
payload := strings.NewReader("{\n \"account_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount\": \"100.50\",\n \"currency\": \"USD\",\n \"unstructured_remittance_information\": \"Invoice INV-2026-0042\",\n \"counterparty_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.augustus.com/v1/simulations/deposits")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"account_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount\": \"100.50\",\n \"currency\": \"USD\",\n \"unstructured_remittance_information\": \"Invoice INV-2026-0042\",\n \"counterparty_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.augustus.com/v1/simulations/deposits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount\": \"100.50\",\n \"currency\": \"USD\",\n \"unstructured_remittance_information\": \"Invoice INV-2026-0042\",\n \"counterparty_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"type": "deposit_simulation",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Deposits
Simulate an incoming deposit
Initiates an incoming deposit through the sandbox provider pipeline. This endpoint is unavailable in live production.
POST
/
v1
/
simulations
/
deposits
Simulate an incoming deposit
curl --request POST \
--url https://api.augustus.com/v1/simulations/deposits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "100.50",
"currency": "USD",
"unstructured_remittance_information": "Invoice INV-2026-0042",
"counterparty_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.augustus.com/v1/simulations/deposits"
payload = {
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "100.50",
"currency": "USD",
"unstructured_remittance_information": "Invoice INV-2026-0042",
"counterparty_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount: '100.50',
currency: 'USD',
unstructured_remittance_information: 'Invoice INV-2026-0042',
counterparty_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.augustus.com/v1/simulations/deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.augustus.com/v1/simulations/deposits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'account_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'amount' => '100.50',
'currency' => 'USD',
'unstructured_remittance_information' => 'Invoice INV-2026-0042',
'counterparty_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.augustus.com/v1/simulations/deposits"
payload := strings.NewReader("{\n \"account_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount\": \"100.50\",\n \"currency\": \"USD\",\n \"unstructured_remittance_information\": \"Invoice INV-2026-0042\",\n \"counterparty_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.augustus.com/v1/simulations/deposits")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"account_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount\": \"100.50\",\n \"currency\": \"USD\",\n \"unstructured_remittance_information\": \"Invoice INV-2026-0042\",\n \"counterparty_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.augustus.com/v1/simulations/deposits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"amount\": \"100.50\",\n \"currency\": \"USD\",\n \"unstructured_remittance_information\": \"Invoice INV-2026-0042\",\n \"counterparty_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"type": "deposit_simulation",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Authorizations
Headers
Body
application/json
Incoming deposit simulation parameters
Was this page helpful?